cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_subaccounts_details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_subaccounts_details",
"params": {
"currency": "BTC"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_subaccounts_details"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_subaccounts_details",
"params": { "currency": "BTC" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/get_subaccounts_details',
params: {currency: 'BTC'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_subaccounts_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"result": [
{
"positions": [
{
"average_price": 49571.3,
"delta": 0.004152776,
"direction": "buy",
"estimated_liquidation_price": null,
"floating_profit_loss": -0.00003451,
"index_price": 47897.12,
"initial_margin": 0.000122508,
"instrument_name": "BTC-PERPETUAL",
"kind": "future",
"leverage": 34,
"maintenance_margin": 0.000089286,
"mark_price": 48160.55,
"open_orders_margin": 0,
"realized_funding": -8.8e-7,
"realized_profit_loss": -8.79e-7,
"settlement_price": 48150.36,
"size": 200,
"size_currency": 0.004152776,
"total_profit_loss": -0.000118183
}
],
"uid": 3
},
{
"positions": [
{
"average_price": 47182.76,
"delta": -0.001308984,
"direction": "sell",
"estimated_liquidation_price": null,
"floating_profit_loss": 0.000037333,
"index_price": 47897.12,
"initial_margin": 0.000038615,
"instrument_name": "BTC-3SEP21",
"kind": "future",
"leverage": 34,
"maintenance_margin": 0.000028143,
"mark_price": 45837.07,
"open_orders_margin": 0,
"realized_profit_loss": 0,
"settlement_price": 47886.98,
"size": -60,
"size_currency": -0.001308984,
"total_profit_loss": 0.000037333
}
],
"uid": 10
}
]
}{
"error": 123,
"jsonrpc": "2.0",
"message": "<string>",
"id": 123
}Account Management
private/get_subaccounts_details
Retrieves position details for all subaccounts for a specific currency. Returns positions aggregated across all subaccounts, including size, average entry price, mark price, and P&L information.
Optionally include open orders for each subaccount by setting the with_open_orders parameter to true.
📖 Related Article: Managing Subaccounts
GET
/
private
/
get_subaccounts_details
cURL
Authorizations
ApiKeyOAuth2
Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, USDC, USDT, EURR Optional parameter to ask for open orders list, default: false
If true, includes positions and open orders for hidden isolated-margin subaccounts. Default - false
Was this page helpful?